description: This method retrieves information about a list of meService resources. This method is typically used in "service availability query" procedure 
operationId: Services.GET
produces:
- application/json
parameters:
- $ref: '#/parameters/Query.Ser_instance_id'
- $ref: '#/parameters/Query.Ser_name'
- $ref: '#/parameters/Query.Ser_category_id'

responses:
  200:
    description: It is used to indicate nonspecific success. The response body contains a representation of the resource.
    schema:
      type: array
      items:
        type: object
        properties:
          ServiceInfo:
            $ref: '#/definitions/ServiceInfo'
    examples:
      application/json:
        - ServiceInfo:
            serInstanceId: 'ServiceInstance123'
            serName: 'ExampleService'
            serCategory:
              href: 'catItem1'
              id: 'id12345'
              name: 'RNI'
              version: 'version1'
            version: 'ServiceVersion1'
            state: 'ACTIVE'
            transportId: 'Rest1'
            transportInfo:
              id: 'TransId12345'
              name: 'REST'
              description: 'REST API'
              type: 'REST_HTTP'
              protocol: 'HTTP'
              version: '2.0'
              endpoint:
                uris:
                - '/meMp1/service/EntryPoint'
                addresses:
                - host: '192.0.2.0'
                  port: 8080
              security:
                oAuth2Info:
                  grantTypes: 'OAUTH2_CLIENT_CREDENTIALS'
                  tokenEndpoint: '/meMp1/security/TokenEndPoint'
            serializer: 'JSON'
  400:
    description: Bad Request
    schema:
      type: object
      properties:
        ProblemDetails:
          $ref: '#/definitions/ProblemDetails'
  403:
    description: Forbidden
    schema:
      type: object
      required:
      - ProblemDetails
      properties:
        ProblemDetails:
          $ref: '#/definitions/ProblemDetails'
  404:
    description: Not Found
    schema:
      type: object
      properties:
        ProblemDetails:
          $ref: '#/definitions/ProblemDetails'